sfcode An Online Competing and Development Environment

caller-callsite

> Get the callsite of the caller function

# Install

$ npm install --save caller-callsite

# Usage

// foo.js
const callerCallsite = require('caller-callsite');
module.exports = () => {
console.log(callerCallsite().getFileName());
//=> '/Users/sindresorhus/dev/unicorn/bar.js'
}
// bar.js
const foo = require('./foo');
foo();

# API

## callerCallsite()

Returns a `callsite` object.

# License

MIT © Sindre Sorhus